## START: Set by rpmautospec
## (rpmautospec version 0.8.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 3;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global srcname zarr
%bcond doc 0

Name:           python-%{srcname}
Version:        2.18.7
Release:        %autorelease
Summary:        Chunked, compressed, N-dimensional arrays for Python

License:        MIT
URL:            https://github.com/zarr-developers/zarr
Source:         %pypi_source %{srcname}
# https://github.com/zarr-developers/zarr-python/pull/1970
# https://github.com/zarr-developers/zarr-python/issues/1819
# fix tests with recent fsspec
Patch:          0001-Adapt-storage-tests-for-changes-in-fsspec-1819-1679.patch
# Allow the latest numcodecs version.
Patch:          0002-Fix-compatibility-with-latest-numcodecs.patch

BuildArch:      noarch

BuildRequires:  python3-devel
# Test dependencies
BuildRequires:  python3dist(bsddb3)
BuildRequires:  python3dist(fsspec)
BuildRequires:  python3dist(h5py)
# lmdb is FTBFS and FTI: https://bugzilla.redhat.com/show_bug.cgi?id=2259530
# not having it causes several tests to be skipped
#BuildRequires:  python3dist(lmdb)
BuildRequires:  python3dist(msgpack)
BuildRequires:  python3dist(pytest)

%description
Zarr is a Python package providing an implementation of compressed, chunked,
N-dimensional arrays, designed for use in parallel computing.


%package -n     python3-%{srcname}
Summary:        %{summary}

%description -n python3-%{srcname}
Zarr is a Python package providing an implementation of compressed, chunked,
N-dimensional arrays, designed for use in parallel computing.


%if %{with doc}
%package -n python-%{srcname}-doc
Summary:        zarr documentation

BuildArch:      noarch

BuildRequires:  python3dist(numpydoc)
BuildRequires:  python3dist(sphinx)
BuildRequires:  python3dist(sphinx-copybutton)
BuildRequires:  python3dist(sphinx-design)
BuildRequires:  python3dist(sphinx-issues)
BuildRequires:  python3dist(pydata-sphinx-theme)

%description -n python-%{srcname}-doc
Documentation for zarr
%endif


%prep
%autosetup -n %{srcname}-%{version} -p1


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel

%if %{with doc}
# generate html docs
PYTHONPATH=${PWD} sphinx-build-3 docs html

# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo,_static/donotdelete}
%endif


%install
%pyproject_install
%pyproject_save_files -l %{srcname}


%check
%pytest -ra


%files -n python3-%{srcname} -f %{pyproject_files}
%doc README.md

%if %{with doc}
%files -n python-%{srcname}-doc
%doc html
%license LICENSE.txt
%endif


%changelog
## START: Generated by rpmautospec
* Fri Jun 06 2025 Python Maint <python-maint@redhat.com> - 2.18.7-3
- Rebuilt for Python 3.14

* Sat May 31 2025 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 2.18.7-2
- Fix compatibility with latest numcodecs
- fixes rhbz#2369424

* Sun May 25 2025 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 2.18.7-1
- Update to latest version (#2264279)

* Sat Jan 18 2025 Fedora Release Engineering <releng@fedoraproject.org> - 2.18.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Mon Jan 13 2025 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 2.18.4-1
- Update to latest version

* Mon Nov 11 2024 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 2.18.3-1
- Update to latest version

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 2.16.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Mon Jun 17 2024 Adam Williamson <awilliam@redhat.com> - 2.16.1-4
- Backport PRs #1970 and #1972 to fix tests for new fsspec and zlib-ng

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 2.16.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Jan 22 2024 Fedora Release Engineering <releng@fedoraproject.org> - 2.16.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Sep 18 2023 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 2.16.1-1
- Update to latest version (#2232757)

* Sun Jul 23 2023 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 2.16.0-1
- Update to latest version (#2192508)

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 2.14.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Wed Jul 12 2023 Python Maint <python-maint@redhat.com> - 2.14.2-2
- Rebuilt for Python 3.12

* Sun Mar 26 2023 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 2.14.2-1
- Update to latest version (#2173206)

* Mon Feb 20 2023 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 2.14.1-1
- Update to latest version (#2161372)

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 2.13.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Mon Oct 17 2022 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 2.13.3-1
- Update to latest version (#2083474)

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 2.11.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Mon Jun 20 2022 Python Maint <python-maint@redhat.com> - 2.11.3-2
- Rebuilt for Python 3.11

* Mon Apr 18 2022 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 2.11.3-1
- Update to latest version (#2071916)

* Thu Mar 10 2022 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 2.11.1-1
- Update to latest version (#2015675)

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 2.10.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Sat Oct 02 2021 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 2.10.1-1
- Update to latest version (#2009232)

* Sat Sep 04 2021 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 2.9.5-1
- Update to latest version (#1999283)

* Fri Aug 27 2021 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 2.9.3-1
- Update to latest version (#1998048)

* Wed Aug 25 2021 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 2.9.2-1
- Update to latest version (#1996553)

* Mon Aug 23 2021 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 2.8.3-6
- Switch to latest Python macros.

* Sun Aug 01 2021 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 2.8.3-3
- Fix build with Sphinx 4
- Closes rhbz#1977650

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 2.8.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Fri Jun 04 2021 Python Maint <python-maint@redhat.com> - 2.8.3-2
- Rebuilt for Python 3.10

* Fri May 21 2021 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 2.8.3-1
- Update to latest version (#1962736)

* Thu May 20 2021 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 2.8.2-1
- Update to latest version (#1962054)

* Tue Apr 27 2021 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 2.8.1-1
- Update to latest version

* Sun Apr 25 2021 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 2.8.0-1
- Update to latest version (#1953163)

* Fri Apr 16 2021 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 2.7.1-1
- Update to latest version (#1950334)

* Sun Apr 04 2021 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 2.7.0-1
- Update to latest version (#1942910)

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 2.6.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Sat Dec 12 2020 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 2.6.1-1
- Update to latest version (#1903794)

* Sat Oct 10 2020 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 2.5.0-1
- Update to latest version (#1885678)

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 2.4.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Tue May 26 2020 Miro Hrončok <mhroncok@redhat.com> - 2.4.0-2
- Rebuilt for Python 3.9

* Tue Jan 28 2020 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 2.4.0-1
- Update to latest version

* Thu Oct 03 2019 Miro Hrončok <mhroncok@redhat.com> - 2.3.2-5
- Rebuilt for Python 3.8.0rc1 (#1748018)

* Mon Aug 19 2019 Miro Hrončok <mhroncok@redhat.com> - 2.3.2-4
- Rebuilt for Python 3.8

* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 2.3.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Wed Jun 05 2019 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 2.3.2-2
- Fix tests on 32-bit arches

* Thu May 30 2019 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 2.3.2-1
- Update to latest version

* Tue Apr 02 2019 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 2.3.1-2
- Fix tests on big-endian arches

* Mon Apr 01 2019 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 2.3.1-1
- Update to latest version

* Mon Mar 18 2019 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 2.2.0-2
- Fix test running
- Make doc subpackage noarch

* Sat Mar 16 2019 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 2.2.0-1
- Initial package.

## END: Generated by rpmautospec
